agent_id: web-scraper
model: claude-haiku-4-6
squad: browser-and-automation
thread_type: P-Thread
purpose: General-purpose web scraping; extract structured data from any URL, handle JavaScript-rendered pages
status: ready
created: 2026-02-24
